#include <sta/i2c.hpp>

namespace sta {
    I2cDevice::I2cDevice(uint16_t address_7bit, Mutex* mutex, bool master, bool blocking) {
        this->address = address_7bit << 1;
        this->mutex = mutex;
        this->master = master;
        this->blocking = blocking;
    }

    void I2cDevice::acquire() {
        if (this->mutex != nullptr) {
            mutex->acquire();
        }
    }

    void I2cDevice::release() {
        if (this->mutex != nullptr) {
            mutex->release();
        }
    }
}
